commit:     ba8e94f058b1c18cd1306beb6e62e86395e854f3
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 18 23:31:28 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Sep 18 23:31:28 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=ba8e94f0

dev-python/chai: Initial Version

Package-Manager: portage-2.3.0

 dev-python/chai/Manifest          |  1 +
 dev-python/chai/chai-1.1.1.ebuild | 23 +++++++++++++++++++++++
 dev-python/chai/metadata.xml      |  8 ++++++++
 3 files changed, 32 insertions(+)

diff --git a/dev-python/chai/Manifest b/dev-python/chai/Manifest
new file mode 100644
index 0000000..a5cf834
--- /dev/null
+++ b/dev-python/chai/Manifest
@@ -0,0 +1 @@
+DIST chai-1.1.1.tar.gz 81684 SHA256 
7489a1124c780972ef383b2930fc9307afe8667d009fcaf69d97b29ce370d304 SHA512 
f51406258327d9a49e820f0489d60e87f576c72232c701e99f96945932ed300582e6dd81608e5b262e2645c4e9c5216ec8f52e98d454c994beac8d1d8137dc87
 WHIRLPOOL 
d9d8468745be52dff15194440b8f32cef7832d5bffe0453ac3d15e4c7e1948344936c467d9832ed2db441a74b6d5d32ad2792d9735976ce18eaf37a913abdca8

diff --git a/dev-python/chai/chai-1.1.1.ebuild 
b/dev-python/chai/chai-1.1.1.ebuild
new file mode 100644
index 0000000..e71d015
--- /dev/null
+++ b/dev-python/chai/chai-1.1.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python{3_4,3_5} )
+inherit distutils-r1
+
+DESCRIPTION="Easy to use mocking, stubbing and spying framework"
+HOMEPAGE="https://github.com/agoragames/chai";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+       nosetests -v tests || die
+}

diff --git a/dev-python/chai/metadata.xml b/dev-python/chai/metadata.xml
new file mode 100644
index 0000000..97df2a0
--- /dev/null
+++ b/dev-python/chai/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>mr...@gentoo.org</email>
+               <name>Manuel Rüger</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to